Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nofrein_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nofrein_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nofrein_mod.F90	(revision 5099)
@@ -1,17 +1,17 @@
-!
+
 ! $Id$
-!
-!
+
+
 MODULE surf_land_orchidee_nofrein_mod
 #ifdef ORCHIDEE_NOFREIN
-!
+
 ! This module controles the interface towards the model ORCHIDEE.
-!
+
 ! Compatibility with ORCHIDIEE :
 ! This module is compiled only if cpp key ORCHIDEE_NOFREIN is defined. 
 ! The current version can be used with ORCHIDEE/trunk from revision 3525-4465 
 ! (it can be used for later revisions also but it is not needed.)
-! 
-!
+
+
 ! Subroutines in this module : surf_land_orchidee
 !                              Init_orchidee_index
@@ -35,7 +35,7 @@
 
 CONTAINS
-!
-!****************************************************************************************
-!  
+
+!****************************************************************************************
+
   SUBROUTINE surf_land_orchidee(itime, dtime, date0, knon, &
        knindex, rlon, rlat, yrmu0, pctsrf, &
@@ -60,10 +60,10 @@
     USE time_phylmdz_mod, ONLY: itau_phy 
 #endif
-!    
+
 ! Cette routine sert d'interface entre le modele atmospherique et le 
 ! modele de sol continental. Appel a sechiba
-!
+
 ! L. Fairhead 02/2000
-!
+
 ! input:
 !   itime        numero du pas de temps
@@ -98,6 +98,6 @@
 !   ps           pression au sol
 !   radsol       rayonnement net aus sol (LW + SW)
-!   
-!
+
+
 ! output:
 !   evap         evaporation totale
@@ -112,11 +112,9 @@
 !   z0h_new      surface roughness for heat
 !   qsurf        air moisture at surface
-!
+
     INCLUDE "YOMCST.h"
     INCLUDE "dimpft.h"
     INCLUDE "compbl.h"
 
-  
-!
 ! Parametres d'entree
 !****************************************************************************************
@@ -218,5 +216,5 @@
     INTEGER :: orch_omp_rank
     INTEGER :: orch_omp_size
-!
+
 ! Fin definition
 !****************************************************************************************
@@ -316,7 +314,7 @@
        CALL bcast(lon_scat)
        CALL bcast(lat_scat)
-!
+
 ! Allouer et initialiser le tableau des voisins et des fraction de continents
-!
+
        IF ( (.NOT.ALLOCATED(neighbours))) THEN
           ALLOCATE(neighbours(knon,8), stat = error)
@@ -343,5 +341,4 @@
        CALL Init_neighbours(knon,neighbours,knindex,pctsrf(:,is_ter))
 
-!
 !  Allocation et calcul resolutions
        IF ( (.NOT.ALLOCATED(resolution))) THEN
@@ -369,7 +366,7 @@
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-!
+
 ! carbon_cycle_cpl not possible with this interface and version of ORHCHIDEE
-!
+
        IF (carbon_cycle_cpl) THEN
           abort_message='carbon_cycle_cpl not yet possible with this interface of ORCHIDEE'
@@ -378,9 +375,7 @@
        
     ENDIF                          ! (fin debut) 
- 
-
-! 
+
 ! Appel a la routine sols continentaux
-!
+
     IF (lafin) lrestart_write = .TRUE.
     IF (check) WRITE(lunout,*)'lafin ',lafin,lrestart_write
@@ -461,5 +456,5 @@
 
 !* Send to coupler
-!
+
     IF (type_ocean=='couple') THEN
        CALL cpl_send_land_fields(itime, knon, knindex, &
@@ -482,7 +477,7 @@
     
   END SUBROUTINE surf_land_orchidee
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE Init_orchidee_index(knon,knindex,offset,ktindex)
   USE mod_surf_para
@@ -521,7 +516,5 @@
   END SUBROUTINE Init_orchidee_index
 
-!
 !************************* ***************************************************************
-! 
 
   SUBROUTINE Get_orchidee_communicator(orch_comm,orch_omp_size,orch_omp_rank)
@@ -534,5 +527,5 @@
     INTEGER             :: color
     INTEGER             :: i,ierr
-!
+
 ! End definition
 !****************************************************************************************
@@ -566,7 +559,6 @@
     
   END SUBROUTINE Get_orchidee_communicator
-!
-!****************************************************************************************
-!  
+
+!****************************************************************************************
 
   SUBROUTINE Init_neighbours(knon,neighbours,knindex,pctsrf)
@@ -597,5 +589,5 @@
     REAL, DIMENSION(klon_glo)            :: pctsrf_glo
     INTEGER                              :: ktindex(klon)
-!
+
 ! End definition
 !****************************************************************************************
@@ -609,5 +601,5 @@
       neighbours_glo(:,:)=-1
 !  Initialisation des offset    
-!
+
 ! offset bord ouest
        off_ini(1,1) = - nbp_lon   ; off_ini(2,1) = - nbp_lon + 1     ; off_ini(3,1) = 1
@@ -622,8 +614,8 @@
        off_ini(4,3) =  1          ; off_ini(5,3) = nbp_lon           ; off_ini(6,3) = nbp_lon - 1
        off_ini(7,3) = -1          ; off_ini(8,3) = - nbp_lon - 1
-!
-!
+
+
 ! Attention aux poles
-!
+
        DO igrid = 1, knon_glo
           index = ktindex_glo(igrid)
@@ -671,7 +663,6 @@
   END SUBROUTINE Init_neighbours
 
-!
-!****************************************************************************************
-!
+!****************************************************************************************
+
 #endif
 END MODULE surf_land_orchidee_nofrein_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nolic_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nolic_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nolic_mod.F90	(revision 5099)
@@ -1,13 +1,13 @@
-!
+
 MODULE surf_land_orchidee_nolic_mod
 #ifdef ORCHIDEE_NOLIC
-!
+
 ! This module controles the interface towards the model ORCHIDEE.
-!
+
 ! Compatibility with ORCHIDIEE :
 ! This module is compiled only if cpp key ORCHIDEE_NOLIC is defined. 
 ! The current version can be used with ORCHIDEE/trunk from revision 4465-7757. 
 ! (it can be used for later revisions also but it is not needed.)
-! 
+
 ! Subroutines in this module : surf_land_orchidee
 !                              Init_orchidee_index
@@ -33,7 +33,7 @@
 
 CONTAINS
-!
-!****************************************************************************************
-!  
+
+!****************************************************************************************
+
   SUBROUTINE surf_land_orchidee(itime, dtime, date0, knon, &
        knindex, rlon, rlat, yrmu0, pctsrf, &
@@ -57,10 +57,10 @@
     USE time_phylmdz_mod, ONLY: itau_phy 
 #endif
-!    
+
 ! Cette routine sert d'interface entre le modele atmospherique et le 
 ! modele de sol continental. Appel a sechiba
-!
+
 ! L. Fairhead 02/2000
-!
+
 ! input:
 !   itime        numero du pas de temps
@@ -95,5 +95,5 @@
 !   ps           pression au sol
 !   radsol       rayonnement net aus sol (LW + SW)
-!
+
 ! output:
 !   evap         evaporation totale
@@ -108,8 +108,8 @@
 !   z0h_new      surface roughness for heat
 !   qsurf        air moisture at surface
-!
+
     INCLUDE "YOMCST.h"
     INCLUDE "dimpft.h"
-!
+
 ! Parametres d'entree
 !****************************************************************************************
@@ -228,5 +228,5 @@
     !$OMP THREADPRIVATE(ind_cell)
     INTEGER :: begin, end
-!
+
 ! Fin definition
 !****************************************************************************************
@@ -386,7 +386,7 @@
        
        ENDIF
-!
+
 ! Allouer et initialiser le tableau des voisins et des fraction de continents
-!
+
        IF (( .NOT. ALLOCATED(contfrac))) THEN
           ALLOCATE(contfrac(knon), stat = error)
@@ -427,7 +427,5 @@
  
        ENDIF
-         
-
-!
+
 !  Allocation et calcul resolutions
        IF ( (.NOT.ALLOCATED(resolution))) THEN
@@ -458,7 +456,7 @@
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-!
+
 ! carbon_cycle_cpl not possible with this interface and version of ORHCHIDEE
-!
+
 ! >> PC
 !       IF (carbon_cycle_cpl) THEN
@@ -469,8 +467,7 @@
        
     ENDIF                          ! (fin debut) 
- 
-! 
+
 ! Appel a la routine sols continentaux
-!
+
     IF (lafin) lrestart_write = .TRUE.
     IF (check) WRITE(lunout,*)'lafin ',lafin,lrestart_write
@@ -609,5 +606,5 @@
 
 !* Send to coupler
-!
+
     IF (type_ocean=='couple') THEN
        CALL cpl_send_land_fields(itime, knon, knindex, &
@@ -645,7 +642,7 @@
     
   END SUBROUTINE surf_land_orchidee
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE Init_orchidee_index(knon,knindex,offset,ktindex)
   USE mod_surf_para
@@ -684,7 +681,5 @@
   END SUBROUTINE Init_orchidee_index
 
-!
 !************************* ***************************************************************
-! 
 
   SUBROUTINE Get_orchidee_communicator(orch_comm, orch_mpi_size, orch_mpi_rank, orch_omp_size,orch_omp_rank)
@@ -699,5 +694,5 @@
     INTEGER             :: color
     INTEGER             :: i,ierr
-!
+
 ! End definition
 !****************************************************************************************
@@ -731,7 +726,6 @@
     
   END SUBROUTINE Get_orchidee_communicator
-!
-!****************************************************************************************
-!  
+
+!****************************************************************************************
 
   SUBROUTINE Init_neighbours(knon,neighbours,knindex,pctsrf)
@@ -762,5 +756,5 @@
     REAL, DIMENSION(klon_glo)            :: pctsrf_glo
     INTEGER                              :: ktindex(klon)
-!
+
 ! End definition
 !****************************************************************************************
@@ -774,5 +768,5 @@
       neighbours_glo(:,:)=-1
 !  Initialisation des offset    
-!
+
 ! offset bord ouest
        off_ini(1,1) = - nbp_lon   ; off_ini(2,1) = - nbp_lon + 1     ; off_ini(3,1) = 1
@@ -787,7 +781,7 @@
        off_ini(4,3) =  1          ; off_ini(5,3) = nbp_lon           ; off_ini(6,3) = nbp_lon - 1
        off_ini(7,3) = -1          ; off_ini(8,3) = - nbp_lon - 1
-!
+
 ! Attention aux poles
-!
+
        DO igrid = 1, knon_glo
           index = ktindex_glo(igrid)
@@ -834,7 +828,6 @@
   END SUBROUTINE Init_neighbours
 
-!
-!****************************************************************************************
-!
+!****************************************************************************************
+
 #endif
 END MODULE surf_land_orchidee_nolic_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 5099)
@@ -1,7 +1,7 @@
-!
+
 ! $Header$
-!
+
 MODULE surf_land_orchidee_noopenmp_mod
-!
+
 ! This module is compiled only if CPP key ORCHIDEE_NOOPENMP is defined.
 ! This module should be used with ORCHIDEE sequentiel or parallele MPI version 
@@ -9,7 +9,7 @@
 
 #ifdef ORCHIDEE_NOOPENMP
-!
+
 ! This module controles the interface towards the model ORCHIDEE
-!
+
 ! Subroutines in this module : surf_land_orchidee
 !                              Init_orchidee_index
@@ -32,7 +32,7 @@
 
 CONTAINS
-!
-!****************************************************************************************
-!  
+
+!****************************************************************************************
+
   SUBROUTINE surf_land_orchidee(itime, dtime, date0, knon, &
        knindex, rlon, rlat, yrmu0, pctsrf, &
@@ -46,10 +46,10 @@
        emis_new, z0_new, z0h_new, qsurf, &
        veget, lai, height)
-!    
+
 ! Cette routine sert d'interface entre le modele atmospherique et le 
 ! modele de sol continental. Appel a sechiba
-!
+
 ! L. Fairhead 02/2000
-!
+
 ! input:
 !   itime        numero du pas de temps
@@ -84,6 +84,6 @@
 !   ps           pression au sol
 !   radsol       rayonnement net aus sol (LW + SW)
-!   
-!
+
+
 ! output:
 !   evap         evaporation totale
@@ -98,5 +98,5 @@
 !   z0h_new      surface roughness, it is the same as z0_new
 !   qsurf        air moisture at surface
-!
+
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, fco2_land_inst, fco2_lu_inst
     USE indice_sol_mod
@@ -110,5 +110,5 @@
     INCLUDE "YOMCST.h"
     INCLUDE "dimpft.h"  
-!
+
 ! Parametres d'entree
 !****************************************************************************************
@@ -211,5 +211,5 @@
     REAL, ALLOCATABLE, DIMENSION(:), SAVE     :: riverflow
     !$OMP THREADPRIVATE(riverflow)
-!
+
 ! Fin definition
 !****************************************************************************************
@@ -305,7 +305,6 @@
        CALL bcast(lat_scat) 
 
-!
 ! Allouer et initialiser le tableau des voisins et des fraction de continents
-!
+
        IF ( (.NOT.ALLOCATED(neighbours))) THEN
           ALLOCATE(neighbours(knon,8), stat = error)
@@ -332,5 +331,4 @@
        CALL Init_neighbours(knon,neighbours,knindex,pctsrf(:,is_ter))
 
-!
 !  Allocation et calcul resolutions
        IF ( (.NOT.ALLOCATED(resolution))) THEN
@@ -359,5 +357,4 @@
        ENDIF
 
-!
 ! Allocate variables needed for carbon_cycle_mod
        IF ( carbon_cycle_cpl ) THEN
@@ -381,7 +378,6 @@
     ENDIF                          ! (fin debut) 
 
-! 
 ! Appel a la routine sols continentaux
-!
+
     IF (lafin) lrestart_write = .TRUE.
     IF (check) WRITE(lunout,*)'lafin ',lafin,lrestart_write
@@ -405,7 +401,6 @@
 !  write(*,*)'Cdrag = ',minval(cdrag),maxval(cdrag)
 
-!
 ! Init Orchidee
-!
+
 !  if (pole_nord) then 
 !    offset=0
@@ -507,5 +502,5 @@
 
 !* Send to coupler
-!
+
     IF (type_ocean=='couple') THEN
        CALL cpl_send_land_fields(itime, knon, knindex, &
@@ -538,7 +533,7 @@
 #endif    
   END SUBROUTINE surf_land_orchidee
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE Init_orchidee_index(knon,orch_comm,knindex,offset,ktindex)
     
@@ -566,5 +561,5 @@
     INTEGER                               :: mpi_size_orch
     INTEGER                               :: ierr 
-!
+
 ! End definition
 !****************************************************************************************
@@ -600,7 +595,7 @@
 
   END SUBROUTINE  Init_orchidee_index
-!
-!****************************************************************************************
-! 
+
+!****************************************************************************************
+
   SUBROUTINE Get_orchidee_communicator(knon,orch_comm)
   USE lmdz_mpi
@@ -611,5 +606,5 @@
     INTEGER             :: color
     INTEGER             :: ierr
-!
+
 ! End definition
 !****************************************************************************************
@@ -626,7 +621,7 @@
     
   END SUBROUTINE Get_orchidee_communicator
-!
-!****************************************************************************************
-!  
+
+!****************************************************************************************
+
   SUBROUTINE Init_neighbours(knon,neighbours,ktindex,pctsrf)
     
@@ -660,6 +655,5 @@
     INTEGER, ALLOCATABLE, DIMENSION(:,:) :: neighbours_g
     REAL, DIMENSION(klon_glo)            :: pctsrf_g
-    
-!
+
 ! End definition
 !****************************************************************************************
@@ -698,5 +692,5 @@
     IF (is_mpi_root) THEN
 !  Initialisation des offset    
-!
+
 ! offset bord ouest
        off_ini(1,1) = - nbp_lon  ; off_ini(2,1) = - nbp_lon + 1; off_ini(3,1) = 1
@@ -711,8 +705,8 @@
        off_ini(4,3) =  1   ; off_ini(5,3) = nbp_lon          ; off_ini(6,3) = nbp_lon - 1
        off_ini(7,3) = -1   ; off_ini(8,3) = - nbp_lon - 1
-!
-!
+
+
 ! Attention aux poles
-!
+
        DO igrid = 1, knon_g
           index = ktindex_g(igrid)
@@ -759,7 +753,6 @@
     
   END SUBROUTINE Init_neighbours
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
 
 #endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nounstruct_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nounstruct_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nounstruct_mod.F90	(revision 5099)
@@ -1,13 +1,13 @@
-!
+
 MODULE surf_land_orchidee_nounstruct_mod
 #ifndef ORCHIDEE_NOZ0H
 #ifdef ORCHIDEE_NOUNSTRUCT
-!
+
 ! This module controles the interface towards the model ORCHIDEE.
-!
+
 ! Compatibility with ORCHIDIEE :
 ! The current version can be used with ORCHIDEE/trunk from revision xxxx.
 ! This module is compiled only if cpp key ORCHIDEE_NOUNSTRUCT is defined.
-!
+
 ! Subroutines in this module : surf_land_orchidee
 !                              Init_orchidee_index
@@ -31,7 +31,7 @@
 
 CONTAINS
-!
-!****************************************************************************************
-!  
+
+!****************************************************************************************
+
   SUBROUTINE surf_land_orchidee(itime, dtime, date0, knon, &
        knindex, rlon, rlat, yrmu0, pctsrf, &
@@ -56,10 +56,10 @@
     USE time_phylmdz_mod, ONLY: itau_phy 
 #endif
-!    
+
 ! Cette routine sert d'interface entre le modele atmospherique et le 
 ! modele de sol continental. Appel a sechiba
-!
+
 ! L. Fairhead 02/2000
-!
+
 ! input:
 !   itime        numero du pas de temps
@@ -94,6 +94,6 @@
 !   ps           pression au sol
 !   radsol       rayonnement net aus sol (LW + SW)
-!   
-!
+
+
 ! output:
 !   evap         evaporation totale
@@ -108,11 +108,8 @@
 !   z0h_new      surface roughness for heat
 !   qsurf        air moisture at surface
-!
+
     INCLUDE "YOMCST.h"
     INCLUDE "dimpft.h"
 
-
-  
-!
 ! Parametres d'entree
 !****************************************************************************************
@@ -214,5 +211,5 @@
     INTEGER :: orch_omp_rank
     INTEGER :: orch_omp_size
-!
+
 ! Fin definition
 !****************************************************************************************
@@ -307,7 +304,7 @@
        CALL bcast(lon_scat)
        CALL bcast(lat_scat)
-!
+
 ! Allouer et initialiser le tableau des voisins et des fraction de continents
-!
+
        IF ( (.NOT.ALLOCATED(neighbours))) THEN
           ALLOCATE(neighbours(knon,8), stat = error)
@@ -334,5 +331,4 @@
        CALL Init_neighbours(knon,neighbours,knindex,pctsrf(:,is_ter))
 
-!
 !  Allocation et calcul resolutions
        IF ( (.NOT.ALLOCATED(resolution))) THEN
@@ -360,7 +356,7 @@
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-!
+
 ! carbon_cycle_cpl not possible with this interface and version of ORHCHIDEE
-!
+
        IF (carbon_cycle_cpl) THEN
           abort_message='carbon_cycle_cpl not yet possible with this interface of ORCHIDEE'
@@ -369,9 +365,7 @@
        
     ENDIF                          ! (fin debut) 
- 
-
-! 
+
 ! Appel a la routine sols continentaux
-!
+
     IF (lafin) lrestart_write = .TRUE.
     IF (check) WRITE(lunout,*)'lafin ',lafin,lrestart_write
@@ -459,5 +453,5 @@
 
 !* Send to coupler
-!
+
     IF (type_ocean=='couple') THEN
        CALL cpl_send_land_fields(itime, knon, knindex, &
@@ -480,7 +474,7 @@
     
   END SUBROUTINE surf_land_orchidee
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE Init_orchidee_index(knon,knindex,offset,ktindex)
   USE mod_surf_para
@@ -519,7 +513,5 @@
   END SUBROUTINE Init_orchidee_index
 
-!
 !************************* ***************************************************************
-! 
 
   SUBROUTINE Get_orchidee_communicator(orch_comm,orch_omp_size,orch_omp_rank)
@@ -532,5 +524,5 @@
     INTEGER             :: color
     INTEGER             :: i,ierr
-!
+
 ! End definition
 !****************************************************************************************
@@ -564,7 +556,6 @@
     
   END SUBROUTINE Get_orchidee_communicator
-!
-!****************************************************************************************
-!  
+
+!****************************************************************************************
 
   SUBROUTINE Init_neighbours(knon,neighbours,knindex,pctsrf)
@@ -595,5 +586,5 @@
     REAL, DIMENSION(klon_glo)            :: pctsrf_glo
     INTEGER                              :: ktindex(klon)
-!
+
 ! End definition
 !****************************************************************************************
@@ -607,5 +598,5 @@
       neighbours_glo(:,:)=-1
 !  Initialisation des offset    
-!
+
 ! offset bord ouest
        off_ini(1,1) = - nbp_lon   ; off_ini(2,1) = - nbp_lon + 1     ; off_ini(3,1) = 1
@@ -620,8 +611,8 @@
        off_ini(4,3) =  1          ; off_ini(5,3) = nbp_lon           ; off_ini(6,3) = nbp_lon - 1
        off_ini(7,3) = -1          ; off_ini(8,3) = - nbp_lon - 1
-!
-!
+
+
 ! Attention aux poles
-!
+
        DO igrid = 1, knon_glo
           index = ktindex_glo(igrid)
@@ -669,7 +660,6 @@
   END SUBROUTINE Init_neighbours
 
-!
-!****************************************************************************************
-!
+!****************************************************************************************
+
 #endif
 #endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noz0h_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noz0h_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noz0h_mod.F90	(revision 5099)
@@ -1,8 +1,8 @@
-!
+
 MODULE surf_land_orchidee_noz0h_mod
 #ifdef ORCHIDEE_NOZ0H
-!
+
 ! This module controles the interface towards the model ORCHIDEE.
-!
+
 ! Compatibility with ORCHIDIEE :
 ! This module is compiled only if CPP key ORCHIDEE_NOZ0H is defined.
@@ -12,5 +12,5 @@
 ! This interface can also be used with ORCHIDEE/trunk revision 1078-2960 if changing 
 ! coszang=yrmu0 into sinang=yrmu0 at 2 places later below in this module. 
-!
+
 ! Subroutines in this module : surf_land_orchidee
 !                              Init_orchidee_index
@@ -34,7 +34,7 @@
 
 CONTAINS
-!
-!****************************************************************************************
-!  
+
+!****************************************************************************************
+
   SUBROUTINE surf_land_orchidee(itime, dtime, date0, knon, &
        knindex, rlon, rlat, yrmu0, pctsrf, &
@@ -58,10 +58,10 @@
     USE time_phylmdz_mod, ONLY: itau_phy 
 #endif
-!    
+
 ! Cette routine sert d'interface entre le modele atmospherique et le 
 ! modele de sol continental. Appel a sechiba
-!
+
 ! L. Fairhead 02/2000
-!
+
 ! input:
 !   itime        numero du pas de temps
@@ -96,6 +96,6 @@
 !   ps           pression au sol
 !   radsol       rayonnement net aus sol (LW + SW)
-!   
-!
+
+
 ! output:
 !   evap         evaporation totale
@@ -110,9 +110,9 @@
 !   z0h_new      surface roughness, it is a copy from z0_new
 !   qsurf        air moisture at surface
-!
+
     INCLUDE "YOMCST.h"
     INCLUDE "dimpft.h"  
     INCLUDE "compbl.h"
-!
+
 ! Parametres d'entree
 !****************************************************************************************
@@ -213,5 +213,5 @@
     INTEGER :: orch_omp_rank
     INTEGER :: orch_omp_size
-!
+
 ! Fin definition
 !****************************************************************************************
@@ -311,7 +311,7 @@
        CALL bcast(lon_scat)
        CALL bcast(lat_scat)
-!
+
 ! Allouer et initialiser le tableau des voisins et des fraction de continents
-!
+
        IF ( (.NOT.ALLOCATED(neighbours))) THEN
           ALLOCATE(neighbours(knon,8), stat = error)
@@ -338,5 +338,4 @@
        CALL Init_neighbours(knon,neighbours,knindex,pctsrf(:,is_ter))
 
-!
 !  Allocation et calcul resolutions
        IF ( (.NOT.ALLOCATED(resolution))) THEN
@@ -364,7 +363,7 @@
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-!
+
 ! carbon_cycle_cpl not possible with this interface and version of ORHCHIDEE
-!
+
        IF (carbon_cycle_cpl) THEN
           abort_message='carbon_cycle_cpl not yet possible with this interface of ORCHIDEE'
@@ -373,9 +372,7 @@
        
     ENDIF                          ! (fin debut) 
- 
-
-! 
+
 ! Appel a la routine sols continentaux
-!
+
     IF (lafin) lrestart_write = .TRUE.
     IF (check) WRITE(lunout,*)'lafin ',lafin,lrestart_write
@@ -459,5 +456,5 @@
 
 !* Send to coupler
-!
+
     IF (type_ocean=='couple') THEN
        CALL cpl_send_land_fields(itime, knon, knindex, &
@@ -480,7 +477,7 @@
     
   END SUBROUTINE surf_land_orchidee
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE Init_orchidee_index(knon,knindex,offset,ktindex)
   USE mod_surf_para
@@ -519,7 +516,5 @@
   END SUBROUTINE Init_orchidee_index
 
-!
 !************************* ***************************************************************
-! 
 
   SUBROUTINE Get_orchidee_communicator(orch_comm,orch_omp_size,orch_omp_rank)
@@ -532,5 +527,5 @@
     INTEGER             :: color
     INTEGER             :: i,ierr
-!
+
 ! End definition
 !****************************************************************************************
@@ -564,7 +559,6 @@
     
   END SUBROUTINE Get_orchidee_communicator
-!
-!****************************************************************************************
-!  
+
+!****************************************************************************************
 
   SUBROUTINE Init_neighbours(knon,neighbours,knindex,pctsrf)
@@ -595,5 +589,5 @@
     REAL, DIMENSION(klon_glo)            :: pctsrf_glo
     INTEGER                              :: ktindex(klon)
-!
+
 ! End definition
 !****************************************************************************************
@@ -607,5 +601,5 @@
       neighbours_glo(:,:)=-1
 !  Initialisation des offset    
-!
+
 ! offset bord ouest
        off_ini(1,1) = - nbp_lon   ; off_ini(2,1) = - nbp_lon + 1     ; off_ini(3,1) = 1
@@ -620,8 +614,8 @@
        off_ini(4,3) =  1          ; off_ini(5,3) = nbp_lon           ; off_ini(6,3) = nbp_lon - 1
        off_ini(7,3) = -1          ; off_ini(8,3) = - nbp_lon - 1
-!
-!
+
+
 ! Attention aux poles
-!
+
        DO igrid = 1, knon_glo
           index = ktindex_glo(igrid)
@@ -669,7 +663,6 @@
   END SUBROUTINE Init_neighbours
 
-!
-!****************************************************************************************
-!
+!****************************************************************************************
+
 #endif
 END MODULE surf_land_orchidee_noz0h_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90	(revision 5099)
@@ -1,3 +1,3 @@
-!
+
 MODULE surf_landice_mod
   
@@ -5,7 +5,7 @@
 
 CONTAINS
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE surf_landice(itime, dtime, knon, knindex, &
        rlon, rlat, debut, lafin, &
@@ -242,5 +242,5 @@
 !****************************************************************************************
 ! Calculate total absorbed radiance at surface
-!
+
 !****************************************************************************************
     radsol(:) = 0.0
@@ -347,5 +347,5 @@
 !****************************************************************************************
 ! Soil calculations
-! 
+
 !****************************************************************************************
 
@@ -368,5 +368,5 @@
 !****************************************************************************************
 ! Calulate fluxes
-!
+
 !****************************************************************************************
 !    beta(:) = 1.0
@@ -420,8 +420,7 @@
 !****************************************************************************************
 ! Calculate albedo
-!
-!****************************************************************************************
-
-!
+
+!****************************************************************************************
+
 !IM: plusieurs choix/tests sur l'albedo des "glaciers continentaux"
 !       alb1(1 : knon)  = 0.6 !IM cf FH/GK 
@@ -438,5 +437,5 @@
 !****************************************************************************************
 ! Rugosity
-!
+
 !****************************************************************************************
 
@@ -599,5 +598,5 @@
 !****************************************************************************************
 ! Calculate snow amount
-!    
+
 !****************************************************************************************
     IF (ok_bs) THEN
@@ -711,7 +710,7 @@
 
   END SUBROUTINE surf_landice
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
 END MODULE surf_landice_mod
 
